
FORD LDM Localization - 功能 #2561

功能 # 2519 (已关闭): Ford_SYSR: System Requirement

Ford_SYSR：FS_REQ0041_V2 Channel output intensity Smooth Fading

2024-10-24 18:35 - 玉洁 金

状态: 已关闭 开始日期: 2024-11-01

优先级: 普通 计划完成日期: 2024-11-07

指派给: 涛 陆 % 完成: 100%

类别:  预期时间: 0.00 小时

目标版本: H003_SW0007169.A001.8 耗时: 0.00 小时

描述

No ramping is required between 0 and 5%, 8 bit resolution is required. A non-linear ramp per Steven’s Power Law shall shall be used to calculate each
PWM ramp. The lighting functions will use a cubic ramp where possible unless specifically exempted.
For features that use linear fading the segments 0% to 5% (during fade in) and 5% to 0% (during fade out) are the most noticeable changes in luminous
output due to how the human eye perceives light. The first 5% of the fade in and last 5% of the fade out will need to be longer to appear smooth.
Multiplying the normal linear duration by 4 for these 5% will allow the light fade to appear smoother.

Step 1: The LDM shall calculate target duty cycle following the based on the input ramping speed/configured fade speed.

Step 2: LDM shall calculate the fading speed for all LEDs using the transition. Transition time is defined as time to reach 100% light intensity. (ms/100%)
The LDM shall use provided transition time to recalculate the LED current duty cycle curve (Value Table) following Stevens power law. (s. Example
below)

Figure 9: Smooth Fading curve
v: Transition speed as time to reach 100% light intensity (ms/100%)
t: Time (ms)

For example:
‘HB_fade_slow_spd_cfg’ is set to 0x06. (800mS fading time to reach 100%) Fading time for first 5% would be 40ms without smooth fading.
Multiplying by a factor of 4 means that the first 5% of fade will last 160ms. Subsequently the remaining 95% will take 640 ms.

子任务:

功能 # 2775: Ford_SWER_0041_0001：Channel output intensity Smooth... 已关闭

历史记录

#1 - 2024-10-25 09:56 - 涛 陆

完成

#2 - 2024-11-19 10:37 - 斌 徐

- 状态 从 新建 变更为 已关闭
